import { Component, HostBinding, Input, OnInit } from '@angular/core';
import { Product } from '../product.model';

@Component({
  selector: 'app-product-image',
 // templateUrl: './product-image.component.html',
 template: `<img [src]="product.imageUrl" class="product-image">`,
  styleUrls: ['./product-image.component.css']
})
export class ProductImageComponent implements OnInit {
  @Input() product: Product;
  @HostBinding('attr.class') cssClass="ui small image";

  constructor() { }

  ngOnInit(): void {
  }

}
