import { Component } from '@angular/core';
import { Product } from './product.model';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
  products: Product[];

constructor() {

  this.products = [ 
    new Product('MYSHOES', 'Black Running Shoes','/assets/images/products/black-shoes.jpg',['Mens','Shoes'], 109.99),
    new Product('NETOJACKET', 'Blue Jacket','/assets/images/products/blue-jacket.jpg',['Mens','Jacket'], 19.99),
    new Product('NICEHAT', 'Black Hat','/assets/images/products/black-hat.jpg',['Mens','Hat'], 9.99)
  ] // products[]

} // constructor

// functions of our app
productWasSelected(product: Product): void {
  console.log('Product clicked: ', product);
} // productWasSelected

}  // class
